%**************************************************************************
%                   Hochschule Hamm-Lippstadt                             *
%**************************************************************************
% Modul           : ErstelleGammaLUT.m                                    *
%                                                                         *
% Datum           : 04. Januar 2023                                       *
%                                                                         *
% Funktion        : Berechnung eines 1-D Lookup-Table fuer Gammakorrektur *
%                                                                         *
% Implementierung : MATLAB R2022b                                         *
%                                                                         *
% Req. Toolbox    : -                                                     *
%                                                                         *
% Autor           : Christabelle Feunang, Christian Schwinne              *
%                                                                         *
% Bemerkung       : Im finalen Projekt ungenutzt                          *
%                                                                         *
%**************************************************************************

gamma = 2.5;

n = 256;

gammaLUT = zeros(1,n);

for k = 0:1:n-1
    gammaLUT(k+1) = floor((k/(n-1))^gamma * (n-1) + 0.5);
end

gammaLUTIndices = 0:1:n-1;