%**************************************************************************
%                   Hochschule Hamm-Lippstadt                             *
%**************************************************************************
% Modul           : Parameter.m                                           *
%                                                                         *
% Datum           : 06. Januar 2023                                       *
%                                                                         *
% Funktion        : Parameter fuer das Simulink-Modell "Chamaeleonlampe"  *
%                                                                         *
% Implementierung : MATLAB R2022b                                         *
%                                                                         *
% Req. Toolbox    : MATLAB Coder, Simulink Support package for Arduino HW *
%                                                                         *
% Autor           : Christabelle Feunang, Christian Schwinne              *
%                                                                         *
% Bemerkung       : Bitte ausfuehren, um die Parameter zu initialisieren  *
%                                                                         *
%**************************************************************************

% Bitte den "Simulink"-Ordner und alle Unterordner zum MATLAB-Pfad
% hinzufuegen, ansonsten kompiliert das Modell nicht und die MATLAB System
% Bloecke fuer den Farbsensor und die LEDs werden nicht gefunden

dt  = 0.01; % Step-Time des FixedStepDiscrete-Solvers
T   = 0.1;  % Zeitkonstante des PT1-Filter
BRI = 0.25; % Ausgangs-Helligkeitsskalierung, Neopixel-LEDs sind hell, 25% blenden nicht
GC  = 2.8;  % Gamma-Korrektur des Ausgangs, damit Farben nicht verwaschen dargestellt werden
% (vgl. https://learn.adafruit.com/led-tricks-gamma-correction)

% Die Gain- und Integrationszeit-Parameter des TCS34725-Farbsensors koennen
% in Z. X der Datei "colorSensor/colorSensor.cpp" angepasst werden!

% in ms, gueltige Werte sind 2.4, 24, 50, 60, 101, 120, 154, 180, 199, 240,
% 300, 360, 401, 420, 480, 499, 540, 600, und 614 ms
%TCS34725_Integration_Time = 2.4;

% Gain-Faktor, gueltige Werte sind 1x, 4x, 16x, und 60x
%TCS34725_Gain = 60;

% Anzahl und Pin der Neopixel-LEDs koennen in der Datei
% "neopixel/neopixel.cpp" angepasst werden!

open("Modell_Chamaeleonlampe.slx"); % Simulink-Modell oeffnen