//colorSensor.cpp 
#include "colorSensor.h" 
#include "Adafruit_TCS34725.h"   

/*Create object of the sensor with integration time of 50ms and gain of 4x*/
Adafruit_TCS34725 tcs = Adafruit_TCS34725(TCS34725_INTEGRATIONTIME_2_4MS, TCS34725_GAIN_60X);    

uint8_t init_f;
extern "C" void colorSensor_Init(void)
{ 
    init_f = tcs.begin();   /* Initialize the sensor and store the status in init_f */ 
} 
extern "C" void colorSensor_Step(float *r,float *g,float *b) 
{ 
    if(init_f)              /* If sensor is initialized properly, then read the sensor else return 0 */
    { 
        tcs.getRGB(r, g, b); 
    } 
    else
    { 
        *r = 0; 
        *g = 0; 
        *b = 0; 
    } 
} 
extern "C" void colorSensor_Terminate() 
{ 
}